[package]
name = "server"
version = "0.0.24"
edition = "2021"
default-run = "server"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
ammonia = "3.3.0"
anyhow = "1.0.79"
async-graphql = { version = "6.0.11", features = ["log"] }
async-graphql-rocket = "6.0.11"
async-trait = "0.1.81"
build-info = "0.0.38"
cacher = {git = "https://git-private.h.xinu.tv/wathiede/cacher"}
css-inline = "0.13.0"
glog = "0.1.0"
html-escape = "0.2.13"
linkify = "0.10.0"
log = "0.4.17"
lol_html = "1.2.0"
mailparse = "0.15.0"
maplit = "1.0.2"
memmap = "0.7.0"
notmuch = { path = "../notmuch" }
reqwest = { version = "0.12.7", features = ["blocking"] }
rocket = { version = "0.5.0-rc.2", features = [ "json" ] }
rocket_cors = "0.6.0"
scraper = "0.20.0"
serde = { version = "1.0.147", features = ["derive"] }
serde_json = "1.0.87"
shared = { path = "../shared" }
sqlx = { version = "0.7.4", features = ["postgres", "runtime-tokio", "time"] }
tantivy = "0.22.0"
thiserror = "1.0.37"
tokio = "1.26.0"
url = "2.5.2"
urlencoding = "2.1.3"

[build-dependencies]
build-info-build = "0.0.38"
